Package org.jboss.resteasy.core.registry

## Class MethodExpression

- java.lang.Object
- - org.jboss.resteasy.core.registry.Expression
  - - org.jboss.resteasy.core.registry.MethodExpression

- All Implemented Interfaces:
    `Comparable<Expression>`

      public class MethodExpression
      extends Expression

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.registry.Expression

      `Expression.Group`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ResourceInvoker` | `invoker` |
    `protected SegmentNode` | `parent` |

    - ### Fields inherited from class org.jboss.resteasy.core.registry.Expression

      `GROUP, groups, literalCharacters, numCapturingGroups, numNonDefaultGroups, pathExpression, pattern, regex`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodExpression​(SegmentNode parent, String segment, ResourceInvoker invoker)` |
    `MethodExpression​(SegmentNode parent, String segment, ResourceInvoker invoker, String additionalRegex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Expression expression)` |
    `ResourceInvoker` | `getInvoker()` |
    `boolean` | `isLocator()` |
    `void` | `populatePathParams​(HttpRequest request, Matcher matcher, String path)` |

    - ### Methods inherited from class org.jboss.resteasy.core.registry.Expression

      `getNumGroups, getPathExpression, getPattern, getRegex, groupCount, isStatic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected SegmentNode parent

    - #### invoker

          protected ResourceInvoker invoker

  - ### Constructor Detail

    - #### MethodExpression

          public MethodExpression​(SegmentNode parent,
                                  String segment,
                                  ResourceInvoker invoker)

    - #### MethodExpression

          public MethodExpression​(SegmentNode parent,
                                  String segment,
                                  ResourceInvoker invoker,
                                  String additionalRegex)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(Expression expression)

      Specified by:
        `compareTo` in interface `Comparable<Expression>`
      Overrides:
        `compareTo` in class `Expression`

    - #### populatePathParams

          public void populatePathParams​(HttpRequest request,
                                         Matcher matcher,
                                         String path)

    - #### isLocator

          public boolean isLocator()

    - #### getInvoker

          public ResourceInvoker getInvoker()